cURL
curl --request POST \
--url https://aigw.portkey.ai/v1/logs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request": {
"url": "<string>",
"body": {},
"method": "<string>",
"headers": {}
},
"response": {
"body": {},
"status": 123,
"headers": {},
"response_time": 123
},
"metadata": {
"trace_id": "<string>",
"span_id": "<string>",
"span_name": "<string>",
"additionalProperties": "<string>"
}
}
'import requests
url = "https://aigw.portkey.ai/v1/logs"
payload = {
"request": {
"url": "<string>",
"body": {},
"method": "<string>",
"headers": {}
},
"response": {
"body": {},
"status": 123,
"headers": {},
"response_time": 123
},
"metadata": {
"trace_id": "<string>",
"span_id": "<string>",
"span_name": "<string>",
"additionalProperties": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request: {url: '<string>', body: JSON.stringify({}), method: '<string>', headers: {}},
response: {body: JSON.stringify({}), status: 123, headers: {}, response_time: 123},
metadata: {
trace_id: '<string>',
span_id: '<string>',
span_name: '<string>',
additionalProperties: '<string>'
}
})
};
fetch('https://aigw.portkey.ai/v1/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Post logs
POST
/
logs
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - undefined
Last modified on September 18, 2026
Was this page helpful?

